#include <bits/stdc++.h>

using namespace std;


long long solve(int n, vector <int> &vec) {
    vector <long long> dp(n, 0);

    for (int i = 0; i < n; i++) {
        long long rest = 0;

        if (i >= 2) {
            rest = max(rest, dp[i-2]); 
        }

        if (i >= 3) {
            rest = max(rest, dp[i-3] + min(vec[i-2], vec[i-1]));
        }

        dp[i] = vec[i] + rest;
    }

    long long ans = dp[n-1];
    if (n >= 2) {
        ans = max(ans, dp[n-2]);
    }

    return ans;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int t;
    cin >> t;

    while (t--) {
        int n;
        cin >> n;

        vector <int> vec(n);
        for (int &x : vec) {
            cin >> x;
        }

        cout << solve(n, vec) << '\n';
    }
}
